REISERFSTUNE(8)

NOM
reiserfstune - L'outil de configuration des systèmes de fichiers ReiserFS

SYNOPSIS
reiserfstune [ -f ] [ -h | --help ] [ -j | --journal-device FICHIER ] [ --no-journal-available ] [ --journal-new-device FICHIER ] [ --make-journal-standard ] [ -s | --journal-new-size N ] [ -o | --journal-new-offset N ] [ -t | --max-transaction-size N ] [ -b | --add-badblocks fichier ] [ -B | --badblocks fichier ] [ -u | --uuid UUID ] [ -l | --label LABEL ] [ -c | --check-interval intervalle-en-jours ] [ -C | --time-last-checked horodatage ] [ -m | --max-mnt-count compte ] [ -M | --mnt-count compte ] périphérique

DESCRIPTION
reiserfstune permet de configurer un système de fichiers ReiserFS. Il peut changer deux paramètres du journal (la taille du journal et la taille maximale des transactions), et il peut changer l'emplacement du journal sur un nouveau périphérique bloc (l'ancien journal ReiserFS peut être conservé, sans être utilisé ou supprimé suivant le choix de l'utilisateur). De plus, reiserfstune peut définir la liste des blocs défectueux du ReiserFS ainsi que l'UUID et l'ÉTIQUETTE (LABEL). Note : à l'heure actuelle le déplacement du journal a été implémenté pour une certaine version de ReiserFS et devrait apparaître dans le noyau Linux vers la version 2.5. Cela signifie que pour les noyaux antérieurs il faut appliquer un patch particulier. Sans ce patch, le noyau refusera de monter le nouveau système de fichiers ainsi modifié. Il sera demandé 25 $ pour vous expliquer cela au cas où vous nous demanderiez pourquoi cela ne marche pas.

L'application la plus intéressante de ce code est peut-être de placer le journal sur un disque SSD.

périphérique
    fichier spécial correspondant au périphérique bloc (par exemple /dev/hdXX, correspondant à une partition d'un disque IDE ou /dev/sdXX pour celle d'un disque SCSI).

OPTIONS

-h | --help
    Afficher les informations sur l'utilisation puis quitter.

-j | --journal-device FICHIER
    FICHIER est le nom du fichier du périphérique bloc où se trouve actuellement le journal du système de fichiers (avant l'appel à reiserfstune). Cette option est nécessaire quand le journal se trouve déjà sur un périphérique distinct du périphérique principal de données (même si on peut l'éviter à l'aide de l'option --no-journal-available). Si vous ne fournissez pas de périphérique pour le journal avec cette option, reiserfstune supposera que le journal se trouve sur le périphérique principal.

--no-journal-available
    Permettre à reiserfstune de continuer quand le périphérique bloc actuel du journal n'est plus disponible. Cela peut se produire si un disque devient défectueux ou si vous le supprimez (et que vous exécutez fsck).

--journal-new-device FICHIER
    FICHIER est le nom du fichier du périphérique bloc qui contiendra le nouveau journal pour le système de fichiers. Si vous ne le précisez pas, reiserfstune suppose que le périphérique du journal reste inchangé.

-s | --journal-new-size N
    N est la taille du nouveau journal. Quand le journal se trouve sur un autre périphérique, sa taille par défaut est le nombre de blocs du périphérique. Lorsque le journal se trouve sur le même périphérique que le système de fichiers, sa taille par défaut est égale au nombre de blocs alloués pour le journal par mkreiserfs quand le système de fichiers a été créé. La taille minimale est de 513 dans tous les cas.

-o | --journal-new-offset N
    N est le décalage, en blocs, où commence le journal quand il se trouve dans un périphérique séparé. Le décalage par défaut est de 0. Ce paramètre n'a aucun effet quand le journal se trouve sur le même périphérique que le système de fichiers. La plupart des utilisateurs n'ont pas besoin d'utiliser cette fonctionnalité. Elle peut être utile pour placer les journaux de différents systèmes de fichiers sur le même périphérique et que vous ne pouvez pas ou ne souhaitez pas partitionner ce périphérique.

-t | --maximal-transaction-size N
    N est la taille maximale des transactions pour le nouveau journal. La valeur par défaut et la valeur maximale sont de 1024 blocs. Elle devrait être inférieure à la moitié de la taille du journal. Lorsque la valeur indiquée n'est pas correcte, elle est corrigée automatiquement.

-b | --add-badblocks fichier
    fichier est le nom du fichier qui contient la liste des blocs à marquer comme défectueux sur le système de fichiers. La liste est ajoutée à la liste des blocs défectueux du système de fichiers.

-B | --badblocks fichier
    fichier est le nom du fichier qui contient la liste des blocs à marquer comme défectueux sur le système de fichiers. La liste des blocs défectueux du système de fichiers est effacée avant que la liste spécifiée par fichier soit ajoutée au système de fichiers.

-f | --force
    Normalement, reiserfstune refuse de modifier le journal d'un système de fichiers qui a été créé avant que n'existe le code pour déplacer ce journal. La raison est que si vous modifiez un journal, vous ne pouvez revenir en arrière (sans option comme --make-journal-standard) pour un noyau plus ancien qui n'a pas cette fonctionnalité et qui ne pourra pas utiliser votre système de fichiers. Cette option force la modification. Utiliser l'option plusieurs fois permet d'éviter la demande de confirmation.

--make-journal-standard
    Comme indiqué ci-dessus, si votre système de fichiers a un journal non standard, il ne peut pas être monté par un noyau sans le code pour déplacer le journal. Cela peut être changé, la seule condition étant qu'il reste de la place réservée sur le périphérique principal de la taille du journal standard, c'est-à-dire 8193 blocs. Ce sera le cas par exemple si vous convertissez un journal standard en un journal non standard. Précisez juste cette option quand vous remettez le journal à sa place, ou sans qu'il y ait de déplacement, s'il se trouve déjà sur le périphérique principal.

-u | --uuid UUID
    Définir l'identifiant unique universel (UUID) du système de fichiers comme étant UUID (consultez aussi uuidgen(8)). Le format de l'UUID est une série de chiffres hexadécimaux séparés par des tirets, comme ceci : « c1b9d5a2-f162-11cf-9ece-0020afc76f16 ».

-l | --label LABEL
    Définir le nom de volume du système de fichiers. LABEL peut avoir jusqu'à 16 caractères de long ; s'il fait plus de 16 caractères, reiserfstune le tronquera.

-c | --check-interval intervalle-en-jours
    Définir le temps maximal entre deux vérifications du système de fichiers. Une valeur égale à « disable » désactivera les vérifications dépendantes du temps. Une valeur égale à « default » restaurera la valeur par défaut définie lors de la compilation. Il est fortement recommandé que les vérifications -m (en fonction du nombre de montages) ou -c (en fonction du temps) soit activée pour assurer une vérification du système de fichiers complète et périodique avec fsck.reiserfs(8). Dans le cas inverse, des corruptions du système de fichiers (dues à de mauvais disques, câbles, mémoires ou à cause de bogues du noyau) peuvent passer inaperçues et pourront amener à des pertes ou corruptions de données.

-C | --time-last-checked horodatage
    Définir la date de la dernière vérification du système de fichiers avec fsck.reiserfs(8). Cela peut être utile dans des scripts qui utilisent un gestionnaire de volumes logiques (LVM) pour faire un instantané cohérent d'un système de fichiers, puis de vérifier le système de fichiers pendant les heures creuses pour s'assurer qu'il n'a pas été corrompu par des problèmes matériels ou autres. Si le système de fichiers est sain, alors cette option permet de définir la date de la dernière vérification sur le système de fichiers d'origine. Le format de la date de dernière vérification est le format international des dates, avec en option l'heure, c'est-à-dire AAAAMMDD[HH[MM[SS]]]. Le mot clé now est également accepté, auquel cas la date de dernière vérification sera définie comme étant la date et l'heure courante.

-m | --max-mnt-count compte_max
    Définir le nombre de montages après lesquels le système de fichiers devra être vérifié par fsck.reiserfs(8). Si compte_max vaut « disable » le nombre de montages ne sera pas pris en compte par fsck.reiserfs(8) et par le noyau. Avec la valeur « default », la valeur par défaut définie au moment de la compilation est restaurée. Faire varier le nombre de montages au bout duquel les systèmes de fichiers seront obligatoirement vérifiés permet d'éviter que les systèmes de fichiers ne soient tous vérifiés en même temps lors de l'utilisation de systèmes de fichiers journalisés. You should strongly consider the consequences of disabling mount-count-dependent checking entirely. Bad disk drives, cables, memory, and kernel bugs could all corrupt a filesystem without marking the filesystem dirty or in error. If you are using journaling on your filesystem, your filesystem will never be marked dirty, so it will not normally be checked. A filesys‐ tem error detected by the kernel will still force an fsck on the next reboot, but it may already be too late to prevent data loss at that point. Cette option nécessite un noyau qui prend en charge l'incrément du compteur de montages. Cette fonction n'était pas fournie dans les noyaux antérieurs à la version 2.6.25. Consultez également l'option -c pour les vérifications en fonction du temps.

-M | --mnt-count compte
    Définir le nombre de fois que le système de fichiers a été monté. Si la valeur est supérieure au compte défini par l'option -m, fsck.reiserfs(8) vérifiera le système de fichiers lors du prochain redémarrage.

SCÉNARIOS POSSIBLES D'UTILISATION DE REISERFSTUNE :
1. Vous avez un ReiserFS sur /dev/hda1 et vous souhaitez qu'il fonctionne avec son journal sur le périphérique /dev/journal

    Démarrer le noyau modifié avec le patch « relocatable journal support »
    reiserfstune /dev/hda1 --journal-new-device /dev/journal -f
    mount /dev/hda1 puis utiliser.
    Vous souhaitez changer la taille maximale des transactions à 512 blocs
    reiserfstune -t 512 /dev/hda1
    Vous souhaiter utiliser votre système de fichiers sur un autre noyau
    qui ne prend pas en charge les déplacements de journaux.
    umount /dev/hda1
    reiserfstune /dev/hda1 -j /dev/journal --journal-new-device /dev/hda1 --make-journal-standard
    mount /dev/hda1 puis utiliser.

2. Vous souhaitez avoir le ReiserFS sur /dev/hda1 et pouvoir passer d'un journal
à un autre (le journal pouvant être situé sur le périphérique où se trouve le
système de fichiers).

    Démarrer le noyau modifié avec le patch « relocatable journal support »
    mkreiserfs /dev/hda1
    Vous avez un disque à état solide (peut-être /dev/sda, puisqu'ils se
    comportent habituellement des disques SCSI)
    reiserfstune --journal-new-device /dev/sda1 -f /dev/hda1
    Votre périphérique SCSI meurt, il est trois heures du matin, vous avez
    un disque IDE de réserve
    reiserfsck --no-journal-available /dev/hda1
    ou
    reiserfsck --rebuild-tree --no-journal-available /dev/hda1
    reiserfstune --no-journal-available --journal-new-device /dev/hda1 /dev/hda1
    en utilisant /dev/hda1 avec un noyau modifié

AUTEUR
Cette version de reiserfstune a été écrite par Vladimir Demidov <vova@namesys.com> et Edward Shishkin <edward@namesys.com>.

BOGUES
Veuillez envoyer vos rapports de bogue aux développeurs ReiserFS <reiserfs-devel@vger.kernel.org>, en fournissant autant d'informations que possibles : le matériel, le noyau, les patches, la configuration, tous les messages affichés ; vérifiez si le fichier syslog contient des informations qui semblent liées.

VOIR AUSSI
reiserfsck(8), debugreiserfs(8), mkreiserfs(8)

TRADUCTION
La traduction française de cette page de manuel a été créée par Guillaume Bour, Nicolas François <nicolas.francois@centraliens.net> et David Prévot <david@tilapin.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.